"""init db

Revision ID: 4cbbaaa2be10
Revises:
Create Date: 2024-04-21 15:43:20.626779

"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "4cbbaaa2be10"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # op.execute("CREATE EXTENSION IF NOT EXISTS pg_trgm")
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "sys_role",
        sa.Column("id", sa.BigInteger(), nullable=False),
        sa.Column("name", sa.String(length=32), nullable=True, comment="角色名"),
        sa.Column("sort", sa.Integer(), nullable=True, comment="排序"),
        sa.Column("remark", sa.String(), nullable=True, comment="备注信息"),
        sa.Column("create_time", sa.DateTime(), nullable=True),
        sa.Column("update_time", sa.DateTime(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        comment="角色信息表",
    )
    op.create_index(op.f("ix_sys_role_id"), "sys_role", ["id"], unique=False)
    op.create_index(op.f("ix_sys_role_name"), "sys_role", ["name"], unique=False)
    op.create_table(
        "sys_user",
        sa.Column("id", sa.BigInteger(), nullable=False),
        sa.Column("username", sa.String(length=32), nullable=True, comment="用户名"),
        sa.Column("password", sa.String(length=64), nullable=True, comment="密码"),
        sa.Column("nickname", sa.String(length=32), nullable=True, comment="昵称"),
        sa.Column("create_time", sa.DateTime(), nullable=True),
        sa.Column("update_time", sa.DateTime(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        comment="用户信息表",
    )
    op.create_index(op.f("ix_sys_user_id"), "sys_user", ["id"], unique=False)
    op.create_index(op.f("ix_sys_user_username"), "sys_user", ["username"], unique=True)
    op.create_table(
        "sys_user_role",
        sa.Column("id", sa.BigInteger(), nullable=False),
        sa.Column("user_id", sa.BigInteger(), nullable=True, comment="用户Id"),
        sa.Column("role_id", sa.BigInteger(), nullable=True, comment="角色Id"),
        sa.Column("create_time", sa.DateTime(), nullable=True),
        sa.Column("update_time", sa.DateTime(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("user_id", "role_id", name="uix_user_id_role_id"),
        comment="用户角色关联表",
    )
    op.create_index(
        "idx_user_role_id", "sys_user_role", ["user_id", "role_id"], unique=False
    )
    op.create_index(op.f("ix_sys_user_role_id"), "sys_user_role", ["id"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_sys_user_role_id"), table_name="sys_user_role")
    op.drop_index("idx_user_role_id", table_name="sys_user_role")
    op.drop_table("sys_user_role")
    op.drop_index(op.f("ix_sys_user_username"), table_name="sys_user")
    op.drop_index(op.f("ix_sys_user_id"), table_name="sys_user")
    op.drop_table("sys_user")
    op.drop_index(op.f("ix_sys_role_name"), table_name="sys_role")
    op.drop_index(op.f("ix_sys_role_id"), table_name="sys_role")
    op.drop_table("sys_role")
    # ### end Alembic commands ###
